%define rel	11

Summary:	Visualizer of system latencies
Name:		latencytop
Version:	0.5
Release:	%mkrel %rel
License:	GPLv2
Group:		Development/Other
URL:		https://latencytop.org/
Source:		https://latencytop.org/download/latencytop-%{version}.tar.gz
Patch0:		latencytop-Makefile-fixes.patch
Patch1:		latencytop-Makefile-default-to-no-gtk.patch
Patch2:		latencytop-remove-the-fsync-view.patch
Patch3:		latencytop-better-error-message.patch
Patch4:		latencytop-add-return-type-c99.patch
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	glib2-devel
BuildRequires:  gtk2-devel

%description
LatencyTOP is a Linux tool for software developers (both kernel and
userspace), aimed at identifying where system latency occurs, and
what kind of operation/action is causing the latency to happen. By
identifying this, developers can then change the code to avoid the
worst latency hiccups.

%prep
%setup -q
%patch -P0 -p1
%patch -P1 -p1
%patch -P2 -p2
%patch -P3 -p2
%patch -P4 -p1

%build
export CFLAGS="%{optflags} -I%{_includedir}/ncursesw"
%make_build

%install
install -d -m755 %{buildroot}%{_sbindir}
%make_install
install -d -m755 %{buildroot}%{_mandir}/man8
install -m644 latencytop.8 %{buildroot}%{_mandir}/man8/

%files
%{_sbindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man8/latencytop.8*





%changelog
* Thu Oct 17 2024 ns80 <ns80> 0.5-11.mga10
+ Revision: 2107765
- add patches from Fedora to fix building with GCC 14

* Sat Mar 26 2022 umeabot <umeabot> 0.5-10.mga9
+ Revision: 1828189
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.5-9.mga8
+ Revision: 1513852
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.5-8.mga7
+ Revision: 1298714
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.5-7.mga6
+ Revision: 945623
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5-6.mga5
+ Revision: 746206
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5-5.mga5
+ Revision: 681270
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5-4.mga4
+ Revision: 506794
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.5-3.mga3
+ Revision: 356644
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 16 2011 anssi <anssi> 0.5-2.mga1
+ Revision: 20207
- imported package latencytop


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5-2mdv2011.0
+ Revision: 620048
- the mass rebuild of 2010.0 packages

* Tue May 12 2009 Frederic Crozat <fcrozat@mandriva.com> 0.5-1mdv2010.0
+ Revision: 374915
- Release 0.5
- Fix buildrequires to add gtk2-devel

* Sat Apr 26 2008 Anssi Hannula <anssi@mandriva.org> 0.4-1mdv2009.0
+ Revision: 197564
- new version
- adapt for improved makefile
- add latencytop.block and man page

* Wed Apr 16 2008 Anssi Hannula <anssi@mandriva.org> 0.3-1mdv2009.0
+ Revision: 195007
- initial Mandriva release

